Package pygccxml :: Package msvc :: Module bsc_impl_details :: Class module_t

# Class module_t

source code

    object --+
             |
            module_t

Instance Methods

__init__(self, mod_id, bsc) | source code

mod_id(self) | source code

path(self) | source code

instances(self) | source code

Method Details

### __init__(self, mod_id, bsc)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### mod_id(self)

source code

Decorators:
  - `@property`

### path(self)

source code

Decorators:
  - `@utils.cached`

### instances(self)

source code

Decorators:
  - `@utils.cached`